﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCSD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_SHARINGPLAN') 
 CREATE TABLE T_TCSD_SHARINGPLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_SHARINGPLAN_EDIT') 
 CREATE TABLE T_TCSD_SHARINGPLAN_EDIT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_SHARINGPLAN_ORGS') 
 CREATE TABLE T_TCSD_SHARINGPLAN_ORGS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_SHARINGPLAN_RULES') 
 CREATE TABLE T_TCSD_SHARINGPLAN_RULES (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRULEID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_SHARINGPLAN_L') 
 CREATE TABLE T_TCSD_SHARINGPLAN_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);

 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_CONTRACT_SUMMARY' AND KSQL_COL_NAME ='FDEDUCTIONCODE') 
 ALTER TABLE T_TCSD_CONTRACT_SUMMARY ADD (FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_CONTRACT_SUMMARY' AND KSQL_COL_NAME ='FDEDUCTIONTYPE') 
 ALTER TABLE T_TCSD_CONTRACT_SUMMARY ADD (FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_CONTRACT_SUMMARY' AND KSQL_COL_NAME ='FDEDUAMOUNT') 
 ALTER TABLE T_TCSD_CONTRACT_SUMMARY ADD (FDEDUAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_MONEY_BOOK_SUMMARY' AND KSQL_COL_NAME ='FDEDUCTIONCODE') 
 ALTER TABLE T_TCSD_MONEY_BOOK_SUMMARY ADD (FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_MONEY_BOOK_SUMMARY' AND KSQL_COL_NAME ='FDEDUCTIONTYPE') 
 ALTER TABLE T_TCSD_MONEY_BOOK_SUMMARY ADD (FDEDUCTIONTYPE VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_MONEY_BOOK_SUMMARY' AND KSQL_COL_NAME ='FDEDUAMOUNT') 
 ALTER TABLE T_TCSD_MONEY_BOOK_SUMMARY ADD (FDEDUAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_RULE_CQZYSJ' AND KSQL_COL_NAME ='FSUITABLE') 
 ALTER TABLE T_TCSD_RULE_CQZYSJ ADD (FSUITABLE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_RULE_CQZYSJ' AND KSQL_COL_NAME ='FDEDUCTIONCODE') 
 ALTER TABLE T_TCSD_RULE_CQZYSJ ADD (FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_RULE_YSHTPZ' AND KSQL_COL_NAME ='FSUITABLE') 
 ALTER TABLE T_TCSD_RULE_YSHTPZ ADD (FSUITABLE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_RULE_YSHTPZ' AND KSQL_COL_NAME ='FDEDUCTIONCODE') 
 ALTER TABLE T_TCSD_RULE_YSHTPZ ADD (FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_RULE_ZJZB' AND KSQL_COL_NAME ='FTAXATION') 
 ALTER TABLE T_TCSD_RULE_ZJZB ADD (FTAXATION VARCHAR(30) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_RULE_ZJZB' AND KSQL_COL_NAME ='FSUITABLE') 
 ALTER TABLE T_TCSD_RULE_ZJZB ADD (FSUITABLE CHAR(1) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_TCSD_RULE_ZJZB' AND KSQL_COL_NAME ='FDEDUCTIONCODE') 
 ALTER TABLE T_TCSD_RULE_ZJZB ADD (FDEDUCTIONCODE BIGINT DEFAULT 0 NOT NULL ); 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCSD_table.sql **/
