﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCSD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_ACCOUNT_DETAIL') 
 CREATE TABLE T_TCSD_ACCOUNT_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FFILTERCONDITION VARCHAR(255) DEFAULT ' ' NOT NULL,
FTABLE BIGINT DEFAULT 0 NOT NULL,
FAMOUNTFIELD BIGINT DEFAULT 0 NOT NULL,
FDATATYPE VARCHAR(30) DEFAULT ' ' NOT NULL,
FDATADIRECTION VARCHAR(30) DEFAULT ' ' NOT NULL,
FFETCHAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_CONTRACT_SUMMARY') 
 CREATE TABLE T_TCSD_CONTRACT_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXITEM BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXATION VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYBASIS DECIMAL(23,10) DEFAULT 0 NOT NULL,
FVERIFYRATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FFITTAXRATE BIGINT DEFAULT 0 NOT NULL,
FPAYTAXCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME,
FTYPE VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_TCSD_MONEY_BOOK_SUMMARY') 
 CREATE TABLE T_TCSD_MONEY_BOOK_SUMMARY (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTAXPERIOD VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATERID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYDATE DATETIME,
FTAXITEM BIGINT DEFAULT 0 NOT NULL,
FBUSINESSNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FTAXATION VARCHAR(30) DEFAULT ' ' NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FFITTAXRATE BIGINT DEFAULT 0 NOT NULL,
FPAYTAXCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSKSSQQ DATETIME,
FSKSSQZ DATETIME
);


 --- drop TABLE --------- 不允许删除表T_TCSD_APPLICABLE_SMALL，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_RULE_CQZYSJ，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_RULE_CQZYSJ_L，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_RULE_ENTRY，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_RULE_YSHTPZ，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_RULE_YSHTPZ_L，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_RULE_ZJZB，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_RULE_ZJZB_L，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_ZB，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_TAX_ITEM_INFO，请恢复pdm ------------------- 
 --- drop TABLE --------- 不允许删除表T_TCSD_TAX_ITEM_POLICY，请恢复pdm ------------------- 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\TCSD_table.sql **/
